Name:		xkill
Version:	1.0.5
Release:	%mkrel 3
Summary:	Kill a client by its X resource
Group: 		Monitoring
Source0: 	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:	%{name}.png
License: 	MIT
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xmu) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Xkill is a utility for forcing the X server to close connections to clients.
This program is very dangerous, but is useful for aborting programs that have
displayed undesired windows on a user's screen.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XKill
GenericName=Window Termination Tool
GenericName[ar]=أداة إنهاء النوافذ
GenericName[ca]=Eina de terminació de finestra
GenericName[cs]=Nástroj pro ukončování oken
GenericName[da]=Værktøj til terminering af vinduer
GenericName[de]=Programm zum Beenden eines Fensters
GenericName[el]=Εργαλείο Τερματισμού Παραθύρων
GenericName[es]=Herramienta para terminación de ventanas
GenericName[fi]=Ikkunoiden lopetustyökalu
GenericName[hu]=X-ablakbezáró
GenericName[it]=Strumento di terminazione delle finestre
GenericName[ja]=ウインドウ終了ツール
GenericName[nb]=Verktøy for å drepe vindu
GenericName[nl]=Vensters geforceerd sluiten hulpmiddel
GenericName[pl]=Narzędzie do kończenia działania okna
GenericName[pt_BR]=Ferramenta para encerramento da janela
GenericName[ro]=Utilitar de distrugere ferestre
GenericName[ru]=Инструмент уничтожения окон
GenericName[uk]=Інструмент знищення вікон
GenericName[wa]=Usteye po touwer les finiesses
GenericName[zh_CN]=窗口终结者
GenericName[zh_TW]=視窗終結工具
Comment=Kill a client by its X resource
Comment[ar]=اقتل عميلاً بموارده في إكس
Comment[cs]=Zabití klienta podle jeho zdroje X
Comment[cy]=Lladd rhaglen drwy ei adnodd X
Comment[da]=Dræb en klient ud fra dens X-ressource
Comment[el]=Σκότωμα ενός πελάτη (client) χρησιμοποιώντας τους X πόρους του
Comment[es]=Matar un programa por su fuente X
Comment[et]=Kliendi tapmine selle X'i ressursi abil
Comment[eu]=Bezero bat hil bere X baliabideen bitartez
Comment[fi]=Tapa asiakasohjelma katkaisemalla sen yhteys X-palvelimeen
Comment[fr]=Termine un processus depuis X
Comment[gl]=Mate un cliente usando o seu recurso x
Comment[he]=הריגת תוכנה לפי מקור ה-X שלה
Comment[hu]=Program kilövése a grafikus rendszerben (X ablakrendszerben) megjelenő ablaka alapján
Comment[is]=Drepa biðlara byggt á X glugga
Comment[it]=Elimina client tramite le sue risorse X
Comment[nb]=Drep en klient basert på X-ressursene
Comment[nl]=Een programma gedwongen afsluiten door erop te klikken
Comment[nn]=Drep ein klient etter tilhøyrande X-ressurs
Comment[pl]=Zamykanie awaryjne programów
Comment[pt]=Mate um cliente pelo seu recurso X
Comment[pt_BR]=Mata um cliente via X resource
Comment[ro]=Omorîți un client după resursa sa X11
Comment[ru]=Убийство задачи по Х-ресурсу
Comment[sl]=Poboj odjemalca prek njegovega X vira
Comment[sv]=Döda en klient via dess X resurs
Comment[tr]=X kaynağıyla bir istemciyi geçersiz kılın
Comment[uk]=Вбийте клієнтську програму за її ресурсом у X
Comment[zh_CN]=由进程的 X 资源来中止这个进程
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1518814
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1301920
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.0.5-1.mga7
+ Revision: 1208300
- new release

* Tue Feb 09 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 950972
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 alexl <alexl> 1.0.4-5.mga5
+ Revision: 799507
- added GenericName from OpenSuse
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 750868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 690677
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 534755
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 luigiwalser <luigiwalser> 1.0.4-1.mga4
+ Revision: 478716
- 1.0.4

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 387066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 dams <dams> 1.0.3-2.mga3
+ Revision: 278892
- new icon for a better rendering
- clean specfile

* Fri Jan 21 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 27927
- Remove mdv macros
+ ennael <ennael>
- imported package xkill


* Thu Nov 11 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 595929
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 463590
- new release

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 351033
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.1-6mdv2009.0
+ Revision: 218427
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-6mdv2008.1
+ Revision: 154448
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 1.0.1-5mdv2008.0
+ Revision: 72150
- fix menu entry comment

* Tue May 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.1-4mdv2008.0
+ Revision: 29905
- add xkill menu-entry, closes #25153
  (icons imported from mandriva 2006 package)


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:24:58 (31400)
- fill in a couple of missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

